## Technical Information
### cpdctrl-gui Software
`cpdctrl-gui` is written in python and uses the Qt framework for the graphical user interface.  
Most functionality like interaction with the various devices is provided by the `cpdctrl` package,
which can be used without the GUI in an ipython shell for advanced or debugging purposes.



### Arduino Code
To control the ThorLabs LEDD1B, it is connected to an Arduino Nano, which is connected to the lab PC
via USB. The Arduino must have the correct software loaded in order to communicate with `cpdctrl` and the LEDD1B.
1. Open the Arduino IDE
2. Open the sketch `~/cpd-dev/cpdctrl/arduino-thorlabs-led/led_control/led_control.ino`
3. Select `COM4` and `Arduino Nano` and then 'Upload Sketch'

### CPD Controller Calibration
**TODO**
This process is not always necessary.
1. Set CPD Controller to Manual, Offset=Gold Work Function, Filter off (so you can see what happens immediately), Oscillator to ~2
2. Move the micrometer screw close until a signal appears
3. Set Automatic offset so that the output is 0V


